| OpendTect 8.0

Loading...
Searching...
No Matches
Public Member Functions | Protected Attributes | List of all members
SeisTrcValueSeries Class Reference
Seis

`#include <seistrc.h>`

Inheritance diagram for SeisTrcValueSeries:
[legend]

## Public Member Functions
| SeisTrcValueSeries (const SeisTrc &t, int c)
| ~SeisTrcValueSeries ()
const float * | arr () const override
float * | arr () override
ValueSeries< float > * | clone () const override
bool | copytoArray (Array1D< float > &)
void | setComponent (int idx)
void | setValue (od_int64 idx, float v) override
od_int64 | size () const override
float | value (od_int64 idx) const override
bool | writable () const override
Public Member Functions inherited from ValueSeries< float >
virtual | ~ValueSeries ()
virtual char | bytesPerItem () const
virtual bool | canSetAll () const
void | getValues (float *, od_int64 nrvals) const
void | getValues (ValueSeries< float > &, od_int64 nrvals) const
virtual bool | isOK () const
float | operator[] (od_int64 idx) const
virtual bool | reSizeable () const
virtual bool | selfSufficient () const
virtual void | setAll (float)
virtual void | setEmpty ()
virtual bool | setSize (od_int64)

## Protected Attributes
int | icomp_
SeisTrc & | trc_

## Detailed Description

> ‍Seismic traces conforming the ValueSeries<float> interface.

One of the components of a SeisTrc can be selected to form a ValueSeries.

<>

## Constructor & Destructor Documentation

## ◆ SeisTrcValueSeries()

SeisTrcValueSeries::SeisTrcValueSeries | ( | const SeisTrc & | t,
|  | int | c )

## ◆ ~SeisTrcValueSeries()

SeisTrcValueSeries::~SeisTrcValueSeries | ( |  | ) |

## Member Function Documentation

## ◆ arr() [1/2]

const float * SeisTrcValueSeries::arr | ( |  | ) | const
| override virtual

Reimplemented from ValueSeries< float >.

## ◆ arr() [2/2]

float * SeisTrcValueSeries::arr | ( |  | ) |
| override virtual

Reimplemented from ValueSeries< float >.

## ◆ clone()

ValueSeries< float > * SeisTrcValueSeries::clone | ( |  | ) | const
| inline override virtual

Implements ValueSeries< float >.

## ◆ copytoArray()

bool SeisTrcValueSeries::copytoArray | ( | Array1D< float > & |  | ) |

## ◆ setComponent()

void SeisTrcValueSeries::setComponent | ( | int | idx | ) |
| inline

## ◆ setValue()

void SeisTrcValueSeries::setValue | ( | od_int64 | idx,
|  | float | v )
| override virtual

Reimplemented from ValueSeries< float >.

## ◆ size()

od_int64 SeisTrcValueSeries::size | ( |  | ) | const
| inline override virtual

Implements ValueSeries< float >.

## ◆ value()

float SeisTrcValueSeries::value | ( | od_int64 | idx | ) | const
| override virtual

Implements ValueSeries< float >.

## ◆ writable()

bool SeisTrcValueSeries::writable | ( |  | ) | const
| inline override virtual

Reimplemented from ValueSeries< float >.

## Member Data Documentation

## ◆ icomp_

int SeisTrcValueSeries::icomp_
| protected

## ◆ trc_

SeisTrc& SeisTrcValueSeries::trc_
| protected

Generated at
for the OpendTect seismic interpretation project. Copyright (C): dGB Beheer B.V. 1995-2025